pcl::cuda::detail::Graph< T > Class Template Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/segmentation/include/pcl/cuda/segmentation/mssegmentation.h>`

## Public Types

typedef GraphEdge< T > | Edge

## Public Member Functions

| Graph (int numv, int nume_max)
void | addEdge (int from, int to, const T &val=T())

## Public Attributes

vector< int > | start
vector< Edge > | edges
int | numv
int | nume_max
int | nume

## Detailed Description

### template<typename T>
class pcl::cuda::detail::Graph< T >

Definition at line 98 of file mssegmentation.h.

## Member Typedef Documentation

## Edge

template<typename T >

typedef GraphEdge<T> pcl::cuda::detail::Graph< T >::Edge

Definition at line 101 of file mssegmentation.h.

## Constructor & Destructor Documentation

## Graph()

template<typename T >

pcl::cuda::detail::Graph< T >::Graph | ( | int | numv,
|  | int | nume_max
| ) |  |

Definition at line 201 of file mssegmentation.h.

References pcl::cuda::detail::Graph< T >::nume, pcl::cuda::detail::Graph< T >::nume_max, and pcl::cuda::detail::Graph< T >::numv.

## Member Function Documentation

## addEdge()

template<typename T >

void pcl::cuda::detail::Graph< T >::addEdge | ( | int | from,
|  | int | to,
|  | const T & | val = `T()`
| ) |  |

inline

Definition at line 210 of file mssegmentation.h.

References pcl::cuda::detail::Graph< T >::edges, pcl::cuda::detail::Graph< T >::nume, and pcl::cuda::detail::Graph< T >::start.

## Member Data Documentation

## edges

template<typename T >

vector<Edge> pcl::cuda::detail::Graph< T >::edges

Definition at line 108 of file mssegmentation.h.

Referenced by pcl::cuda::detail::Graph< T >::addEdge().

## nume

template<typename T >

int pcl::cuda::detail::Graph< T >::nume

Definition at line 112 of file mssegmentation.h.

Referenced by pcl::cuda::detail::Graph< T >::addEdge(), and pcl::cuda::detail::Graph< T >::Graph().

## nume_max

template<typename T >

int pcl::cuda::detail::Graph< T >::nume_max

Definition at line 111 of file mssegmentation.h.

Referenced by pcl::cuda::detail::Graph< T >::Graph().

## numv

template<typename T >

int pcl::cuda::detail::Graph< T >::numv

Definition at line 110 of file mssegmentation.h.

Referenced by pcl::cuda::detail::Graph< T >::Graph().

## start

template<typename T >

vector<int> pcl::cuda::detail::Graph< T >::start

Definition at line 107 of file mssegmentation.h.

Referenced by pcl::cuda::detail::Graph< T >::addEdge().

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/cuda/segmentation/include/pcl/cuda/segmentation/mssegmentation.h